Last Comment Bug 595865 - IDN TLD whitelist roll-up
: IDN TLD whitelist roll-up
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 575610 580162 584991
  Show dependency treegraph
 
Reported: 2010-09-13 08:20 PDT by Gervase Markham [:gerv]
Modified: 2010-09-28 03:58 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.11-fixed
.14-fixed


Attachments
Patch v.1 (1.73 KB, patch)
2010-09-13 08:35 PDT, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.11+
dveditz: approval1.9.1.14+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-09-13 08:20:48 PDT
Bug to track a set of changes to the IDN TLD whitelist.

Gerv
Comment 1 Gervase Markham [:gerv] 2010-09-13 08:35:04 PDT
Created attachment 474703 [details] [diff] [review]
Patch v.1

Requesting approval for IDN TLD whitelist rollup patch. This enables IDN in a number of newly-registered TLDs which are themselves IDNs.

Gerv
Comment 2 Mike Beltzner [:beltzner, not reading bugmail] 2010-09-14 07:41:22 PDT
Comment on attachment 474703 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 3 Gervase Markham [:gerv] 2010-09-15 09:11:18 PDT
Fixed on trunk.
http://hg.mozilla.org/mozilla-central/rev/f7c2ca5c67f7

Gerv
Comment 4 Wil Tan 2010-09-15 09:33:20 PDT
Hi Gerv,

I'm not sure what Mozilla's policy is with regards to undelegated variants. In particular, out of the four entries for Saudi Arabia, only xn--mgberp4a5d4ar is delegated at the root. I believe the rest were submitted to ICANN for the IDN ccTLD fast track process, but were probably reserved by ICANN pending a satisfactory variant solution.
Comment 5 Gervase Markham [:gerv] 2010-09-15 09:47:42 PDT
William: thanks for the tip. I didn't quite realise that. Do you see any harm in having them there? I figure if the standard version has been delegated, the variants are going to come into play eventually. But I'd be happy to be enlightened (by email) if you think there's a problem with this position.

Gerv
Comment 6 Gervase Markham [:gerv] 2010-09-20 05:48:27 PDT
Comment on attachment 474703 [details] [diff] [review]
Patch v.1

Requesting branch approvals.

Gerv
Comment 7 Daniel Veditz [:dveditz] 2010-09-24 10:52:50 PDT
Comment on attachment 474703 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.11 and 1.9.1.14, a=dveditz

Note You need to log in before you can comment on or make changes to this bug.